jQueryConfig = {
    depend:{
        jsonp:                   false,
        pluginRoot:              '#StoreRoot[js]/GUI',
        i18nRoot:                '#StoreRoot[js]/GUI/ep/i18n',
        tmplRoot:                '#StoreRoot[js]/GUI',
        dictRoot:                '#StoreRoot[js]/GUI'
    },
    i18n:{
        region:                  '#INPUT.Locale'.replace(/_/,'-'), //convert en_GB to en-GB for javascript
        currency:                '#INPUT.CurrencyID[js]'
    },
    dict:{
        region:                  '#INPUT.Language'
    },
    storage:{
        namespace:               '#Site.ID'+'::'
    },
    ajax: {
         fileSizeMax:            #WebInterfaceConf.maxcontentlength * 1024
    },
    mime: {
        groups: {
            'image/*':           'image/png,image/jpeg,image/jpg,image/gif,image/vnd.microsoft.icon,image/x-win-bitmap',
            'document/*':        'application/pdf,application/msword,application/vnd.ms-excel,application/rtf,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
            'audio/*':           'audio/mpeg,audio/x-ms-wma,audio/ogg,audio/flac,audio/x-ms-wma',
            'video/*':           'video/x-msvideo,video/mp4,video/mpeg,video/x-ms-wmv,video/x-flv'
        }
    },
    noConflict: 'jq'
};

epConfig = {
    version:                     '#System.EpagesVersion',
    webRoot:                     '#WebRoot[js]',
    storeWebRoot:                '#WebRoot[js]/#StoreName',
    storeRoot:                   '#StoreRoot[js]',
    storeTypeRoot:               '#StoreRoot[js]',
    javascriptRoot:              '#StoreRoot[js]/GUI',
    siteRoot:                    '#Site.WebPath[js]',
    siteId:                      '#Site.ID',
    iconsRoot:                   '#StoreRoot[js]/BO/icons',
    maxContentLength:            '#WebInterfaceConf.maxcontentlength',
    debugLevel:                  #INPUT.Debug[js],
    languageId:                  '#INPUT.LanguageID',
    language:                    '#INPUT.Language'
};