/*
 * @copyright		© Copyright 2006-2011, epages GmbH, All Rights Reserved.
 *
 * @module			de_epages.presentation.userSettings
 *
 * @revision		$Revision: 1.2.6.1 $
 */

jQuery.plugin( 'de_epages.presentation.userSettings', ['ep.core','ep.ajax'], function( $, undefined ){

	de_epages.presentation.userSettings = {
		save: function(userId,attrName, alias, key, value){
				var saveData = {
					'ViewAction' : 'JSONViewResponse',
					'ChangeAction': 'JSONSaveMBOUI',
					'ObjectID' : userId,
					'AttributeName' : attrName,
					'SectionAlias' : alias,
					'Key' : key,
					'Value' : value
				};
				ep.ajax({
					data: saveData
				});
		}
	};
});