/*
    Copyright (c) 2006-2011, ePages GmbH
    All Rights Reserved.

    epages.cartridges.de_epages.product.EnableOwnPrices $Revision: 1.3.6.1 $
 */

dojo.provide("epages.cartridges.de_epages.product.EnableOwnPrices");

window.disablePrices = function() {
// disables all visible input fields
// enables all hidden input fields

  var priceinputs = document.getElementsByName("Price");
  for(var i=0, iLength=priceinputs.length; i<iLength; i++) {
    if(priceinputs[i].type=="hidden") {
      priceinputs[i].disabled=false;
    } else {
      priceinputs[i].disabled=true;
      priceinputs[i].className="Price Disabled";
    }
  }

  priceinputs = document.getElementsByName("ManufacturerPrice");
  for(var i=0, iLength=priceinputs.length; i<iLength; i++) {
    if(priceinputs[i].type=="hidden") {
      priceinputs[i].disabled=false;
    } else {
      priceinputs[i].disabled=true;
    }
  }

  // EPG-4144: disable taxclass select box
  taxelement = document.getElementById("TaxClass");
  taxelement.disabled=true;
  dojo.addClass(taxelement.parentNode, "Disabled");

  // disable ecopart settings
  dojo.publish("EcoParticipation/disable", []);
};

window.enablePrices = function() {
// enables all visible input fields
// disables all hidden input fields

  var priceinputs = document.getElementsByName("Price");
  for(var i=0, iLength=priceinputs.length; i<iLength; i++) {
    if(priceinputs[i].type=="hidden") {
      priceinputs[i].disabled=true;
    } else {
      priceinputs[i].disabled=false;
      priceinputs[i].className="Price";
    }
  }

  priceinputs = document.getElementsByName("ManufacturerPrice");
  for(var i=0, iLength=priceinputs.length; i<iLength; i++) {
    if(priceinputs[i].type=="hidden") {
      priceinputs[i].disabled=true;
    } else {
      priceinputs[i].disabled=false;
    }
  }

  // EPG-4144: enable taxclass select box
  taxelement = document.getElementById("TaxClass");
  taxelement.disabled=false;
  dojo.removeClass(taxelement.parentNode, "Disabled");

  // enable ecopart settings
  dojo.publish("EcoParticipation/enable", []);
};