@ECHO OFF

REM perl socket class for https requests (see EPG-20286)
REM valid values: Net::SSL or IO::Socket::SSL
setx PERL_NET_HTTPS_SSL_SOCKET_CLASS Net::SSL -m

REM verify the hostname in the SSL certificate (see EPG-20286)
REM must be set to 0 if PERL_NET_HTTPS_SSL_SOCKET_CLASS=Net::SSL
setx PERL_LWP_SSL_VERIFY_HOSTNAME 0 -m

REM add graphviz binaries to EPAGES_PERL
setx PATH "%PATH%;%EPAGES_PERL%\graphviz\bin" -m
